buildbot slave able to run on python3

Hi Galina,

there was:
  [llvm-dev] Buildbot cleaning for zorg upgrade
  [llvm-dev] Buildbot cleaning for zorg upgrade
  "Zorg upgrade to a recent version of buildbot is coming."

Do I understand it correctly there is a plan we could start using buildbot-2.x
which is protocol-incompatible with the current buildbot-0.8.5 in use?

buildbot-0.8.5 supports only python-2 (not python-3). Fedora 32 and higher no
longer support python-2. I am stuck how to support recent Fedoras for buildbot.

buildbot-0.9.0 started to support python-3 but I guess buildbot-0.9.0 is no
longer protocol-compatible with LLVM buildbot master. I have tried 0.9.0 but
it does not run on Fedora 32 (due to incompatible python-3 libraries) so
I would need to use some even newer buildbot version which I assume to be
definitely protocol-incompatible.

Jan

Hello Jan,

Yes. The buildbot migration to buildbot-2.x is a work in progress.

Thanks

Galina

Thanks, Galina, for working on the BuildBot update. This update should make it possible for us to stop referring to build machines as “slaves,” a terminology change that’s overdue.

Let us know if there’s anything I or others in the community can do to help this along.